summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Wragg <dpw@lshift.net>2010-02-17 13:59:52 +0000
committerDavid Wragg <dpw@lshift.net>2010-02-17 13:59:52 +0000
commit0fe8ff7b04019d4342ec454da67222d43b19a4cf (patch)
treedc3846365c161160dee6056e867a7942be1a4520
parent8f34ccf3ac6c281c4a69c759237c556ccb9575d5 (diff)
downloadrabbitmq-server-0fe8ff7b04019d4342ec454da67222d43b19a4cf.tar.gz
Add a script to assist in the macports submission process
-rwxr-xr-xpackaging/macports/make-port-diff.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/packaging/macports/make-port-diff.sh b/packaging/macports/make-port-diff.sh
new file mode 100755
index 00000000..3eb1b9f5
--- /dev/null
+++ b/packaging/macports/make-port-diff.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# This script grabs the latest rabbitmq-server bits from the main
+# macports subversion repo, and from the rabbitmq.com macports repo,
+# and produces a diff from the former to the latter for submission
+# through the macports trac.
+
+set -e
+
+dir=/tmp/$(basename $0).$$
+mkdir -p $dir/macports $dir/rabbitmq
+
+# Get the files from the macports subversion repo
+cd $dir/macports
+svn checkout http://svn.macports.org/repository/macports/trunk/dports/net/rabbitmq-server/ 2>&1 >/dev/null
+
+# Clear out the svn $id tag
+sed -i -e 's|^# \$.*$|# $Id$|' rabbitmq-server/Portfile
+
+# Get the files from the rabbitmq.com macports repo
+cd ../rabbitmq
+curl -s http://www.rabbitmq.com/releases/macports/net/rabbitmq-server.tgz | tar xzf -
+
+cd ..
+diff -Naur --exclude=.svn macports rabbitmq
+cd /
+rm -rf $dir